build: Import new ax_code_coverage.m4 macro

ax_code_coverage.m4 was changed incompatibly in recent autoconf-archive
versions, and having a new autoconf-archive version installed is enough
to get a configure failure. Let's use an internal copy of
ax_code_coverage.m4 until the new version is available in most distros.

Signed-off-by: Christophe Fergeau <cfergeau@redhat.com>
4 jobs for build in 9 minutes and 40 seconds (queued for 1 second)
latest
Status Name Job ID Coverage
  Build
passed Build #200755

00:01:50

 
  Test
failed asan #200758
allowed to fail

00:02:57

passed Check #200756

00:05:53

passed Memcheck #200757

00:07:49

 
Name Stage Failure
failed
asan Test
No job log